× Questions about B100/200/400/800 ISDN BRI Cards

B100P: Linux & Asterisk version, dahdi & mISDN

7 years 8 months ago #7313 by georgemr
Hi,
I am quite new to asterisk and I would like to ask you some questions about related software version.
The target is to build a CentOS machine with the latest linux kernel version that can be used as a multi-purpose server including a PBX server. The problem is although trixbox and elastix include in-the-box support for openvox cards they come with old versions of software like linux kernel, asterik, mysql and php (e.g. even elastix 2.2.RC1 comes with php version 5.1.6 when even version 5.2.6 is obsolete and prone to security issues).
I have tried to instal a machine with CentOSv6 (minimal installation), MySQL 5.1.47, PHP 5.3.2, Asterisk v1.8, FreePBX v2.9+, Dahdi. The machine is more than ok for every other service I want to provide except for the PBX... I have tried different tutorials and versions of dahdi but no version seems to recognize the card (Openvox B100P). I have tried latest dahdi versions from digium as well as the versions in downloads.openvox.cn/pub/drivers/dahdi-linux-complete and the ones from digum with the patch provided by openvox. The card even if it show up with lspci -vvv is not configured with the dahdi tools.
So, what do you advise me to do in order to build a CentOS machine with current software and PBX services with the B100P card? Is there a dahdi driver that might work and I haven't tried? Or switch to mISDN might do the trick? Can anyone say which is better for the B100P card dahdi or mISDN? Will my effort have any chance or I have to step down to CentOS 5.5 and asterisk 1.6?
Please do not suggest to have a machine dedicated to asterisk. What I am trying to do is build a machine that can provide a lot of services in a single machine. None of these services will have to stress the hardware of the machine.
Thank in advance.
7 years 8 months ago #7314 by tim.june
Hi,
I think you just need a proper driver and dahdi is a better choice, but you have to apply a patch,bellow is a manual for you,
Please follow it step by step, then you will succeed.

Remember that only dahdi-linux-complete-2.3.0.1+2.3.0 is fit for B100P and the version of dahdi almost has no effect on
your other applications or services.

Email: This email address is being protected from spambots. You need JavaScript enabled to view it.
Skype: tim.jjune
Attachments:
Time to create page: 0.029 seconds
Powered by Kunena Forum